net.dontdrinkandroot.visualization.layout.wordcloud

## Class GlyphBoundWordCloud.ItemInfo

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.wordcloud.GlyphBoundWordCloud.ItemInfo

Enclosing class:
  GlyphBoundWordCloud<T>

    protected class GlyphBoundWordCloud.ItemInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GlyphBoundWordCloud.ItemInfo(Point2D offset, Rectangle2D areaBounds, Set<Rectangle2D> glyphBounds)`

### Method Summary

Methods
`Rectangle2D` `getAreaBounds()`
`Set<Rectangle2D>` `getGlyphBounds()`
`Point2D` `getOffset()`
`void` `setAreaBounds(Rectangle2D areaBounds)`
`void` `setGlyphBounds(Set<Rectangle2D> glyphBounds)`
`void` `setOffset(Point2D offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlyphBoundWordCloud.ItemInfo

    public GlyphBoundWordCloud.ItemInfo(Point2D offset,
                                Rectangle2D areaBounds,
                                Set<Rectangle2D> glyphBounds)

### Method Detail

#### getOffset

    public Point2D getOffset()

#### setOffset

    public void setOffset(Point2D offset)

#### getAreaBounds

    public Rectangle2D getAreaBounds()

#### setAreaBounds

    public void setAreaBounds(Rectangle2D areaBounds)

#### getGlyphBounds

    public Set<Rectangle2D> getGlyphBounds()

#### setGlyphBounds

    public void setGlyphBounds(Set<Rectangle2D> glyphBounds)